component: FlatfileChumerDiag
proto_imports:
  - vehicle/system/services/logger/text/diagnostics/flatfile_chumer_diagnostics.proto
metric: zoox::logger::FlatfileChumerMetrics
namespace: zoox::logger
faults:
  - id: 1
    name: WatchfileLimitError
    severity: ERROR
    description: Monitoring more than 2048 files
    triggers_nogo: false
  - id: 2
    name: WatchfileLimitWarning
    severity: WARNING
    description: Monitoring more than 1024 files
  - id: 3
    name: LogFileWriteRateAlert
    severity: WARNING
    description: Detect log file write rate exceeds 10 mega bytes per second
